Index: 1.1.4.1/src/fl_show_colormap.cxx
--- 1.1.4.1/src/fl_show_colormap.cxx Thu, 13 Feb 2003 14:03:14 -0800 tmwg (fltk/d/33_fl_show_co 1.1.1.7 640)
+++ inX.126/src/fl_show_colormap.cxx Fri, 25 Jul 2003 02:44:18 -0700 tmwg (fltk/d/33_fl_show_co 1.1.1.8 640)
@@ -102,6 +102,7 @@ int ColorMenu::handle(int e) {
     case FL_Left: if (c > 0) c--; break;
     case FL_Right: if (c < 255) c++; break;
     case FL_Escape: which = initial; done = 1; return 1;
+    case FL_KP_Enter:
     case FL_Enter: done = 1; return 1;
     default: return 0;
     }
Index: 1.1.4.1/src/Fl_Menu.cxx
--- 1.1.4.1/src/Fl_Menu.cxx Mon, 08 Sep 2003 15:08:30 -0700 tmwg (fltk/f/24_Fl_Menu.cx 1.1.1.13.1.9.1.7.2.1 640)
+++ inX.126/src/Fl_Menu.cxx Sun, 24 Aug 2003 18:03:25 -0700 tmwg (fltk/f/24_Fl_Menu.cx 1.1.1.13.1.9.1.7.1.3 640)
@@ -535,6 +535,7 @@ int menuwindow::handle(int e) {
 	setitem(pp.menu_number-1, pp.p[pp.menu_number-1]->selected);
       return 1;
     case FL_Enter:
+    case FL_KP_Enter:
     case ' ':
       pp.state = DONE_STATE;
       return 1;
Index: 1.1.4.1/src/Fl_Group.cxx
--- 1.1.4.1/src/Fl_Group.cxx Thu, 13 Feb 2003 14:03:14 -0800 tmwg (fltk/f/29_Fl_Group.c 1.1.1.1.1.6.1.9 640)
+++ inX.126/src/Fl_Group.cxx Fri, 25 Jul 2003 02:44:18 -0700 tmwg (fltk/f/29_Fl_Group.c 1.1.1.1.1.17 640)
@@ -158,7 +158,7 @@ int Fl_Group::handle(int event) {
       if (o->takesevents() && !Fl::event_inside(o) && send(o,FL_SHORTCUT))
 	return 1;
     }
-    if (Fl::event_key() == FL_Enter) return navigation(FL_Down);
+    if ((Fl::event_key() == FL_Enter || Fl::event_key() == FL_KP_Enter)) return navigation(FL_Down);
     return 0;
 
   case FL_ENTER:
Index: 1.1.4.1/src/Fl_Browser_.cxx
--- 1.1.4.1/src/Fl_Browser_.cxx Thu, 13 Feb 2003 14:03:14 -0800 tmwg (fltk/f/45_Fl_Browser 1.1.1.20 640)
+++ inX.126/src/Fl_Browser_.cxx Fri, 25 Jul 2003 02:44:18 -0700 tmwg (fltk/f/45_Fl_Browser 1.1.1.21 640)
@@ -559,6 +559,7 @@ int Fl_Browser_::handle(int event) {
 	return 1;
       } else switch (Fl::event_key()) {
       case FL_Enter:
+      case FL_KP_Enter:
 	select_only(l, 1);
 	return 1;
       case ' ':
Index: 1.1.4.1/src/Fl_File_Chooser2.cxx
--- 1.1.4.1/src/Fl_File_Chooser2.cxx Mon, 08 Sep 2003 15:08:30 -0700 tmwg (fltk/o/26_Fl_FileCho 1.13.1.1 640)
+++ inX.126/src/Fl_File_Chooser2.cxx Mon, 08 Sep 2003 15:20:16 -0700 tmwg (fltk/o/26_Fl_FileCho 1.16 640)
@@ -488,7 +488,7 @@ Fl_File_Chooser::fileNameCB()
   filename = pathname;
 
   // Now process things according to the key pressed...
-  if (Fl::event_key() == FL_Enter)
+  if (Fl::event_key() == FL_Enter  ||  Fl::event_key() == FL_KP_Enter)
   {
     // Enter pressed - select or change directory...
 #if (defined(WIN32) && ! defined(__CYGWIN__)) || defined(__EMX__)
